%define _rc RC6

Name:          povray
Version:       3.7.0
Release:       0%{?_rc:.}%{?_rc}.1%{?dist}
License:       GPLv2
Summary:       Pov-Ray Persistence of Vision Raytracer
URL:           http://www.povray.org
Source:        http://www.povray.org/redirect/www.povray.org/beta/source/%{name}-%{version}%{?_rc:.}%{?_rc}.tar.gz
Patch1:		boost141-fixvirtual.patch
Group:         Applications/Multimedia
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%if 0%{?rhel} > 5
BuildRequires: boost-devel
%else
BuildRequires: boost141-devel boost141-thread boost141
#BuildRequires: devtoolset-1.1 devtoolset-1.1-build 
#BuildRequires: environment-modules
%endif
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel 
BuildRequires: libXpm-devel
BuildRequires: svgalib-devel
BuildRequires: zlib-devel 
BuildRequires: SDL-devel, OpenEXR-devel

%description
The Persistence of Vision Raytracer is a high-quality, totally
free tool for creating stunning three-dimensional graphics. It
is available in official versions for Windows, Mac OS/Mac OS X
and i86 Linux. The source code is available for those wanting 
to do their own ports. 

%prep
%setup -q -n %{name}-%{version}%{?_rc:.}%{?_rc}
sed -i 's/\r//' scripts/runpov.sh
sed -i 's/\r//' scripts/rerunpov.sh

%build
%if 0%{?rhel} < 6
cp -ar /usr/include/boost141 boost141
patch -p0 < %{PATCH1}
export BOOST_CPPFLAGS="-I`pwd`/boost141"
export BOOST_LDFLAGS="-L%{_libdir}/boost141"
#. /etc/profile.d/modules.sh
#module load rh
%endif
%configure --with-boost-thread=boost_thread-mt COMPILED_BY='Josko Plazonic <plazonic@math.princeton.edu>'
make

%install
rm -rf %{buildroot}

#if 0%{?rhel} < 6
#. /etc/profile.d/modules.sh
#module load rh
#endif
make DESTDIR=%{buildroot} install
rm %{buildroot}%{_datadir}/%{name}-3.7/include/.directory

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_docdir}/%{name}-3.7
%{_mandir}/man1/povray.*
%{_datadir}/%{name}-3.7
%{_sysconfdir}/%{name}/3.7

%changelog
* Mon Oct 15 2012 <roma@lcg.ufrj.br> 3.7.0.RC6-1
- Updated to 3.7 RC6.

* Fri Jun 08 2007 <roma@lcg.ufrj.br> 3.6.1-2
- Included missing BRs.

* Wed Aug 02 2006 <roma@lcg.ufrj.br> 3.6.1-1
- Rebuilt for Fedora 5.

* Thu Nov  4 2004 <fenn@stanford.edu> 3.6.1-0
- RPM based off subpop.net FC1 3.50c package
- inc. Wolfgang Wieser's patchset 
  (http://www.cip.physik.uni-muenchen.de/~wwieser/render/povray/patches/)
